#
# Conditional build:
%bcond_without	verify	# don't verify database

Summary:	Wireless regulatory database for Linux drivers
Summary(pl.UTF-8):	Baza danych przepisów dotyczących sieci bezprzewodowych dla sterowników linuksowych
Name:		wireless-regdb
Version:	2022.08.12
Release:	1
License:	ISC
Group:		Networking/Daemons
Source0:	https://www.kernel.org/pub/software/network/wireless-regdb/%{name}-%{version}.tar.xz
# Source0-md5:	c9763dd44ce7dc9dff120afeb2234695
URL:		https://wireless.wiki.kernel.org/en/developers/Regulatory
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
%{?with_verify:BuildRequires:	crda}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_datadir	/lib

%description
This package contains the wireless regulatory database used by all
cfg80211 based Linux wireless drivers.

%description -l pl.UTF-8
Ten pakiet zawiera bazę danych przepisów dotyczących częstotliwości
dopuszczonych dla sieci bezprzewodowych, wykorzystywaną przez
wszystkie linuksowe sterowniki bezprzewodowe oparte na cfg80211.

%prep
%setup -q

%build
%if %{with verify}
PATH=/sbin:$PATH \
regdbdump regulatory.bin > dump.txt
test -s dump.txt
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/lib/firmware,%{_datadir}/crda,%{_mandir}/man5}
cp -p regulatory.db regulatory.db.p7s $RPM_BUILD_ROOT/lib/firmware
cp -p regulatory.bin $RPM_BUILD_ROOT%{_datadir}/crda/regulatory.bin
cp -p regulatory.bin.5 $RPM_BUILD_ROOT%{_mandir}/man5

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README
/lib/firmware/regulatory.db
/lib/firmware/regulatory.db.p7s
%{_datadir}/crda
%{_mandir}/man5/regulatory.bin.5*
%changelog
* Fri Aug 12 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/wireless-regdb.git;a=log;h=master

* Fri Aug 12 2022 Jan Palus <atler@pld-linux.org> 77ec247
- up to 2022.08.12

* Tue Jun 07 2022 Jan Palus <atler@pld-linux.org> f8bc875
- up to 2022.06.06

* Fri Apr 08 2022 Jan Palus <atler@pld-linux.org> cbe409a
- up to 2022.04.08

* Sun Feb 20 2022 Jan Rękorajski <baggins@pld-linux.org> 5f3b219
- Release 2 (by relup.sh)

* Sat Feb 19 2022 Jan Palus <atler@pld-linux.org> 3bb4786
- up to 2022.02.18

* Wed Sep 01 2021 Jan Palus <atler@pld-linux.org> ecd8713
- up to 2021.08.28

* Wed Jul 14 2021 Jan Palus <atler@pld-linux.org> c654947
- up to 2021.07.14

* Fri Apr 23 2021 Jan Palus <atler@pld-linux.org> b3d7669
- up to 2021.04.21

* Sun Nov 22 2020 Jan Palus <atler@pld-linux.org> 2737790
- up to 2020.11.20

* Fri May 01 2020 Jan Palus <atler@pld-linux.org> 2974055
- up to 2020.04.29

* Wed Jun 05 2019 Jan Palus <atler@pld-linux.org> 0fcb06d
- up to 2019.06.03

* Sun Mar 03 2019 Jan Palus <atler@pld-linux.org> 684f861
- up to 2019.03.01

* Mon Oct 29 2018 Jan Palus <atler@pld-linux.org> 85abda5
- up to 2018.10.24

* Wed Oct 24 2018 Jan Palus <atler@pld-linux.org> a67ff3a
- up to 2018.09.07

* Sat Sep 01 2018 Jan Palus <atler@pld-linux.org> 795c450
- rel 2

* Fri Aug 31 2018 Jan Palus <atler@pld-linux.org> e2b92b9
- package regulatory.db

* Fri Aug 24 2018 Jakub Bogusz <qboosh@pld-linux.org> 0c2dae2
- updated to 2018.05.31

* Tue Mar 28 2017 Jakub Bogusz <qboosh@pld-linux.org> 19ef4f8
- updated to 2017.03.07

* Mon Jun 13 2016 Jakub Bogusz <qboosh@pld-linux.org> b1e97a0
- updated to 2016.06.10

* Tue May 10 2016 Jakub Bogusz <qboosh@pld-linux.org> de8d64b
- updated to 2016.05.02

